﻿//---------------------------------------------------------------------------
//
//   WTLStation
//
//          Copyright(C) 2006-2012, O.Mizno
//
//     This is a sample of a station plug-in.
//     It indicates an operation of XML file (.mqx) while loading or saving 
//    a .mqo file, and how to use a drawing object from a station plug-in.
//     WTL (Windows Template Library) is required separately for a build.
//
//    　常駐プラグインのサンプルです。
//    　MQOファイル読み書き時のXMLファイル(.mqx)の操作、および描画オブ
//    ジェクトを常駐プラグインからどのように使うかを示しています。
//    　ビルドにはWTL(Windows Template Library)が別途必要です。
//
//---------------------------------------------------------------------------

#if !defined(AFX_STDAFX_H__6B0C61C4_A483_4339_BF57_2D3A487D3FE7__INCLUDED_)
#define AFX_STDAFX_H__6B0C61C4_A483_4339_BF57_2D3A487D3FE7__INCLUDED_

// Change these values to use different versions
#define WINVER		0x0500
#define _WIN32_WINNT	0x0500
#define _WIN32_IE	0x0600
#define _RICHEDIT_VER	0x0100

// Note: The path must be through the directory contains WTL. Otherwise, a build will be an error.
// ※WTLのインクルードファイルにパスが通っていないとビルドエラーとなります。
#include <atlbase.h>
#include <atlapp.h>

extern CAppModule _Module;

#include <atlwin.h>

#include <atlframe.h>
#include <atlctrls.h>
#include <atldlgs.h>
#include <atlctrlw.h>

//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_STDAFX_H__6B0C61C4_A483_4339_BF57_2D3A487D3FE7__INCLUDED_)
